%define module	zope.deferredimport
Summary:	Defer Python module import
Summary(pl.UTF-8):	Opóźnianie importu modułów Pythona
Name:		python-%{module}
Version:	3.5.3
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.deferredimport/zope.deferredimport-%{version}.tar.gz
# Source0-md5:	68fce3bf4f011d4a840902fd763884ee
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python-modules
Requires:	python-zope.proxy
Requires:	python-zope.testing
Obsoletes:	Zope-DeferredImport
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Defer Python module import.

%description -l pl.UTF-8
Opóźnianie importu modułów Pythona.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/deferredimport
%{py_sitedir}/zope.deferredimport-*.egg-info
%{py_sitedir}/zope.deferredimport-*-nspkg.pth
%changelog
* Tue Dec 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.deferredimport.git;a=log;h=master

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 99daff2
- Zope-DeferredImport renamed to python-zope.deferredimport

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8b6236f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 48e7374
- automatic change: use py_build/py_install macros

* Mon Jun 06 2011 marti <marti@pld-linux.org> 723e518
- up to 3.5.3

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 7215961
- BR: python-setuptools

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb267f8
- release 2

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> d4a2807
- updated to 3.5.0

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> e06d28d
- use pypi uri
- rel. 5

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> 971b4f1
- rel. 4

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> eb55b71
- rel. 3

* Tue Mar 04 2008 Jakub Bogusz <qboosh@pld-linux.org> d716b31
- py_sitedir is not noarch

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> abccdf2
- moved to py_sitedir
- rel. 2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> d7bec29
- unified

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 322e845
- pl
- python deps
- noarch

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 3989f43
- fixed/add url

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 3dce366
- fixed summary/description/group/license and runtime requirements

* Mon Sep 10 2007 wrobell <wrobell@pld-linux.org> 2a1d1a8
- based on Zope-Component.spec

